Skip to content

Archive a module

POST/api/v1/workspaces/{workspace_slug}/projects/{project_id}/modules/{resource_id}/archive/

Move a module to archived status for historical tracking.

Path Parameters

resource_id:requiredstring

The unique identifier of the resource.

project_id:requiredstring

The unique identifier of the project.

workspace_slug:requiredstring

The workspace_slug represents the unique workspace identifier for a workspace in Plane. It can be found in the URL. For example, in the URL https://app.plane.so/my-team/projects/, the workspace slug is my-team.

Scopes

projects.modules:write

Archive a module
bash
curl -X POST \
  "https://api.plane.so/api/v1/workspaces/my-workspace/projects/project-uuid/modules/resource-id-uuid/archive/" \
  -H "X-API-Key: $PLANE_API_KEY" \
  # Or use -H "Authorization: Bearer $PLANE_OAUTH_TOKEN"
Response204

No response body.